<?php get_header(); ?>

<?php if (have_posts()) : ?>

<?php $post = $posts[0]; // Thanks Kubrick for this code ?>
<!-- google_ad_section_start -->
<?php if (is_category()) { ?>
<div class="page-title">
<h1 class="page-title-border"><?php echo single_cat_title(); ?></h1>
</div>
<?php } elseif (is_day()) { ?>
<div class="page-title">
<h2 class="page-title-border"><?php _e('Archive for'); ?> <?php the_time('F j, Y'); ?></h2>
</div>
<?php } elseif (is_month()) { ?>
<div class="page-title">
<h2 class="page-title-border"><?php _e('Archive for'); ?> <?php the_time('F, Y'); ?></h2>
</div>
<?php } elseif (is_year()) { ?>
<div class="page-title">
<h2 class="page-title-border"><?php _e('Archive for'); ?> <?php the_time('Y'); ?></h2>
</div>
<?php } elseif (is_author()) { ?>
<div class="page-title">
<h2 class="page-title-border"><?php _e('Author Archive'); ?></h2>
</div>
<?php } elseif (is_search()) { ?>
<div class="page-title">
<h2 class="page-title-border"><?php _e('Search Results'); ?></h2>
</div>
<?php } elseif ( function_exists('is_tag')) if (is_tag()) { ?>
<div class="page-title">
<h1 class="page-title-border"><?php echo single_tag_title(); ?></h1>
</div>
<?php } ?>

<?php while (have_posts()) : the_post(); ?>

<div class="post" id="post-<?php the_ID(); ?>">

<h2 class="posttitle">
<a href="<?php the_permalink() ?>" rel="bookmark"><?php the_title(); ?></a>
</h2>

<p class="postmeta"> 
<span class="post-date"><?php the_time('j M, Y') ?></span>&nbsp;
<span class="post-comment"><?php comments_popup_link(__('No Comment'), __('1 Comment'), __('% Comments'), 'commentslink', __('Comments off')); ?></span>
<?php edit_post_link(__('Edit'), ' &#183; ', ''); ?>
</p>

<div class="postentry">
<?php /* AdSense Code Start */ ?><?php if ($wp_query->current_post == 0) include("first-ad.php"); ?><?php /* AdSense Code End */ ?>
<?php /* Post Teaser Addon Fix */ ?><?php if (function_exists('post_teaser22')) : ?><?php the_content(); ?>
<?php else : ?><?php the_excerpt(','); ?><p>Continue Reading <a href="<?php the_permalink() ?>"><?php the_title(); ?></a></p><?php endif; ?><?php /* Post Teaser Addon Fix */ ?>

<?php /* Tags WP 2.3 Code Start */ if ( function_exists('is_tag')){ ?>
<p><?php the_tags(); ?></p>
<?php /* Tags WP 2.3 Code End */ } ?>

</div>
<!--
<?php trackback_rdf(); ?>
-->
</div>

<?php endwhile; ?>
<!-- google_ad_section_end -->
<?php /* AdSense Code Start */ ?><div style="text-align:center; padding-bottom:10px;">
<?php InsertAdvert($MainBottom);?>
</div><?php /* AdSense Code End */ ?>

<?php /* wp_pagenavi Code */ ?>
<?php if (function_exists('wp_pagenavi')) : ?>
<div class="pageszz">
<div class="pages-border"></div>
<?php wp_pagenavi(); ?>
</div>
<?php else : ?>
<div class="pageszz">
<div class="pages-border"></div>
<span class="page-previous"><?php next_posts_link('&laquo; Older Entries'); ?></span>
<span class="page-next"><?php previous_posts_link('Newer Entries &raquo;'); ?></span>
</div>
<?php endif; ?>
<?php /* wp_pagenavi Code */ ?>

<?php else : ?>

<div class="post">
<h2><?php _e('Error 404 - Not Found'); ?></h2>

<?php /* AdSense Code Start */ ?><div style="text-align:center; padding-bottom:10px;">
<?php InsertAdvert($MainBottom);?>
</div><?php /* AdSense Code End */ ?>

</div>

<?php endif; ?>


<?php get_sidebar(); ?>

<?php get_footer(); ?>
